Create statements for account
curl --request POST \
--url https://client-api.dev.finhost.io/v1/accounts/{accountId}/statements \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fromDate": "2023-11-20T08:34:39.343Z",
"toDate": "2023-11-21T08:34:39.343Z",
"timezone": "2"
}
'import requests
url = "https://client-api.dev.finhost.io/v1/accounts/{accountId}/statements"
payload = {
"fromDate": "2023-11-20T08:34:39.343Z",
"toDate": "2023-11-21T08:34:39.343Z",
"timezone": "2"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fromDate: '2023-11-20T08:34:39.343Z',
toDate: '2023-11-21T08:34:39.343Z',
timezone: '2'
})
};
fetch('https://client-api.dev.finhost.io/v1/accounts/{accountId}/statements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"accountFrom": "49eab26c-8788-4375-810c-9807aaf98234",
"amount": 10,
"operation": "internal",
"recipient": {
"recipient": "39eab26c-8788-4375-810c-9807aaf98191",
"accountTo": "49eab26c-8788-4375-810c-9807aaf98234"
},
"companyId": "10eab26c-8788-4375-810c-9807aaf98210"
}
]Accounts
Create statements for account
Return the list of the completed transactions for the client accounts in
POST
/
v1
/
accounts
/
{accountId}
/
statements
Create statements for account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Account id
Body
application/json
Response
200 - application/json
200 response
System account from which assets will be send
Example:
"49eab26c-8788-4375-810c-9807aaf98234"
How many assets will be send
Required range:
x >= 0Example:
10
Operation action
Available options:
internal, sepa Example:
"internal"
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
Show child attributes
Show child attributes
Company id
Example:
"10eab26c-8788-4375-810c-9807aaf98210"
⌘I